<?php
	$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
	$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 500;
	
	$offset = ($page-1)*$rows;
	$result = array();
	
	$id_norma = $_GET['id_norma'];
	$id_parametro = $_GET['id_parametro'];
	
	include '../../conexion/conn.php';
	
	$rs = mysql_query("SELECT COUNT(*) FROM `norma_detalle` WHERE `norma_id`='$id_norma' and `id_parametro`='$id_parametro'");
		$row = mysql_fetch_row($rs);
		$result["total"] = $row[0];
	
	
	$rs = mysql_query("SELECT norma_detalle.id_norma_detalle, norma_detalle.norma_id, norma_detalle.id_parametro, norma_detalle.defecto_id, defectos.defecto_nombre, norma_detalle.norma_det_valor1, norma_detalle.norma_det_valor2, norma_detalle.norma_det_valor3, norma_detalle.norma_det_valor4, norma_detalle.norma_det_valor_tipo, norma_detalle.tipo_dato, norma_detalle.estado, norma_detalle.norma_det_orden from norma_detalle INNER JOIN defectos ON defectos.defecto_id=norma_detalle.defecto_id where norma_detalle.id_parametro='$id_parametro' and norma_detalle.norma_id='$id_norma' ORDER BY norma_detalle.norma_det_orden LIMIT $offset,$rows");
	
	$items = array();
	while($row = mysql_fetch_array($rs)){
		array_push($items, $row);
	}
	$result["rows"] = $items;

	echo json_encode($result);

?>